### Class

# GUsb Endpoint

#### Description

    final class GUsb.Endpoint : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### g_usb_endpoint_get_address

Gets the address of the endpoint.

since: 0.3.3

###### g_usb_endpoint_get_direction

Gets the direction of the endpoint.

since: 0.3.3

###### g_usb_endpoint_get_extra

Gets any extra data from the endpoint.

since: 0.3.3

###### g_usb_endpoint_get_kind

Gets the type of endpoint.

since: 0.3.3

###### g_usb_endpoint_get_maximum_packet_size

Gets the maximum packet size this endpoint is capable of sending/receiving.

since: 0.3.3

###### g_usb_endpoint_get_number

Gets the number part of endpoint address.

since: 0.3.3

###### g_usb_endpoint_get_polling_interval

Gets the endpoint polling interval.

since: 0.3.3

###### g_usb_endpoint_get_refresh

Gets the rate at which synchronization feedback is provided, for audio device only.

since: 0.3.3

###### g_usb_endpoint_get_synch_address

Gets the address if the synch endpoint, for audio device only.

since: 0.3.3

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUsbEndpointClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.